summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorJohannes Dewender2009-12-09 00:34:10 +0000
committerJohannes Dewender2009-12-09 00:34:10 +0000
commit80d277114a073a6c29b2a6d063876435e82e1270 (patch)
tree1ae30f1f671883543798de07525fdf63e48624b4
downloadaur-80d277114a073a6c29b2a6d063876435e82e1270.tar.gz
+cccc
git-svn-id: http://svn.kraehen.org/aur@3 04e22907-73ef-438a-a52f-a971dc6d3b47
-rw-r--r--.SRCINFO12
-rw-r--r--.gitignore8
-rw-r--r--PKGBUILD22
3 files changed, 42 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..a30e53fdf17
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,12 @@
+pkgbase = cccc
+ pkgdesc = C and C++ Code Counter, code metrics also for Ada and Java files
+ pkgver = 3.1.4
+ pkgrel = 1
+ url = http://cccc.sourceforge.net/
+ arch = i686
+ license = GPL
+ source = http://downloads.sourceforge.net/sourceforge/cccc/cccc-3.1.4.tar.gz
+ md5sums = 7bd3ad868913a0beab2fde931737f928
+
+pkgname = cccc
+
diff --git a/.gitignore b/.gitignore
new file mode 100644
index 00000000000..bd9b4a41adc
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1,8 @@
+*.tar.gz
+*.tar.xz
+*.tgz
+*.rpm
+*.zip
+*.bz2
+src/
+pkg/
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..b07d9d3440b
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,22 @@
+# Contributor: Johannes Dewender arch at JonnyJD dot net
+pkgname=cccc
+pkgver=3.1.4
+pkgrel=1
+pkgdesc="C and C++ Code Counter, code metrics also for Ada and Java files"
+arch=('i686')
+url="http://cccc.sourceforge.net/"
+license=('GPL')
+source=(http://downloads.sourceforge.net/sourceforge/cccc/$pkgname-$pkgver.tar.gz)
+md5sums=('7bd3ad868913a0beab2fde931737f928')
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+ sed -e 's/su root -c "make -f install.mak"/make -f install.mak/' \
+ -i makefile || return 1
+ sed -e 's:/usr/local/bin:'$pkgdir'/usr/bin:' \
+ -e 's/\$(MKDIR)/\$(MKDIR) -p/' -i install/install.mak || return 1
+ make || return 1
+ make DESTDIR="$pkgdir/" install
+}
+
+# vim:set ts=2 sw=2 et: